﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class MyControl : UserControl
    {
        public MyControl()
        {
            InitializeComponent();
        }

        int X0, Y0;
        bool stisknuto = false;

        private void MyContro1_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            stisknuto = true;
        }

        private void MyControl_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisknuto)
            {
                if (e.Button == MouseButtons.Left)
                // if ((Control.ModifierKeys & Keys.Control) == 0)
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                // else if ((Control.ModifierKeys & Keys.Control) != 0)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }

        private void MyControl_MouseUp(object sender, MouseEventArgs e)
        {
            stisknuto = false;
        }

        private void openMenuItem_Click(object sender, EventArgs e)
        {
            if (openDialog.ShowDialog() ==
                                  DialogResult.OK)
            {
                BackgroundImage = 
                  new Bitmap (openDialog.FileName);
                BackgroundImageLayout =
                        ImageLayout.Stretch;
            }
        }

        private void zoomMenuItem_Click(object sender, EventArgs e)
        {
            if (BackgroundImageLayout == ImageLayout.Zoom)
                BackgroundImageLayout = ImageLayout.Stretch;
            else
               BackgroundImageLayout = ImageLayout.Zoom;
        }

        private void contextMenu_Opening(object sender, CancelEventArgs e)
        {
            zoomMenuItem.Checked =
               BackgroundImageLayout == ImageLayout.Zoom;
        }
    }
}
